Get current user profile
GET
/me
const url = 'https://shoehorn.example.com/api/v1/me';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/meReturns the authenticated user’s profile, team memberships, and group claims.
Responses
Section titled “ Responses ”Current user profile
Media type application/json
object
id
string format: uuid
email
string
name
string
picture
string
tenant_id
string
teams
Team slugs the user belongs to
Array<string>
groups
IdP group names from JWT claims
Array<string>
roles
Array<string>
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "email": "example", "name": "example", "picture": "example", "tenant_id": "example", "teams": [ "example" ], "groups": [ "example" ], "roles": [ "example" ]}